Link:http://www.lacie.com/silverkeeper/

SilverKeeper is compatible with PowerPC as well as Intel processors running OS X.

SilverKeeper can be used with Mac OS X 10.2.8, 10.3.1-10.3.9, and 10.4-10.4.5, as well as with Mac OS 9.2.2. Be sure to start a fresh new backup after any System Update.

Essentially any read/write device that can mount a writeable volume on the Macintosh Desktop can be used with SilverKeeper.


SilverKeeper requires OS X 10.2.8 or OS 9.2.2 or later. This includes compatibility with Panther OS X 10.3.9 and Tiger OS X 10.4.5

This program is a great backup system I've been using it for awhile but I just thought you guys should look at it.